summaryrefslogtreecommitdiff
path: root/xtests/run-xtests.sh
diff options
context:
space:
mode:
authorThorsten Kukuk <kukuk@thkukuk.de>2007-09-27 10:22:06 +0000
committerThorsten Kukuk <kukuk@thkukuk.de>2007-09-27 10:22:06 +0000
commite83bead09f35a7f3024ec7390394326e89b00315 (patch)
tree8323ea8b264fb19d1bc1f3dc107ebb3fec7bec3b /xtests/run-xtests.sh
parent04171b8d2b2fbc2c216a427c3b60aabc9725ebc2 (diff)
Relevant BUGIDs:
Purpose of commit: bugfix Commit summary: --------------- 2007-09-27 Thorsten Kukuk <kukuk@thkukuk.de> * xtests/run-xtests.sh: Add support to skip tests. * xtests/tst-pam_limits1.c: Skip test if RLIMIT_NICE is not defined.
Diffstat (limited to 'xtests/run-xtests.sh')
-rwxr-xr-xxtests/run-xtests.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/xtests/run-xtests.sh b/xtests/run-xtests.sh
index 76daba22..24adf121 100755
--- a/xtests/run-xtests.sh
+++ b/xtests/run-xtests.sh
@@ -13,6 +13,7 @@ XTESTS="$@"
failed=0
pass=0
+skiped=0
all=0
mkdir -p /etc/security
@@ -27,7 +28,11 @@ for testname in $XTESTS ; do
else
./$testname > /dev/null
fi
- if test $? -ne 0 ; then
+ RETVAL=$?
+ if test $RETVAL -eq 77 ; then
+ echo "SKIP: $testname"
+ skiped=`expr $skiped + 1`
+ elif test $RETVAL -ne 0 ; then
echo "FAIL: $testname"
failed=`expr $failed + 1`
else
@@ -42,11 +47,13 @@ mv /etc/security/limits.conf-pam-xtests /etc/security/limits.conf
if test "$failed" -ne 0; then
echo "==================="
echo "$failed of $all tests failed"
+ echo "$skiped tests not run"
echo "==================="
exit 1
else
echo "=================="
- echo "All $all tests passed"
+ echo "$all tests passed"
+ echo "$skiped tests not run"
echo "=================="
fi
exit 0